For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • POSTAdd additional information
      • POSTAdd bank account
      • GETList of tax documents for an employee
      • PATCHUpdate additional information
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsEor Worker Information

List of tax documents for an employee

GET
/eor/workers/tax-documents
GET
/rest/v2/eor/workers/tax-documents
$curl https://api.letsdeel.com/rest/v2/eor/workers/tax-documents \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "9AmobdjMwXOq",
5 "url": "https://example.com/file.pdf",
6 "type": "Tax Document",
7 "year": 2023,
8 "country": "IL"
9 }
10 ]
11}

Returns tax documents for the authenticated worker. Token scopes: worker:read

Was this page helpful?
Previous

Update additional information

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Response

Tax documents successfully retrieved.
datalist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error